# flutterx_reflection

Allows to instantiate classes at runtime without using dart mirror

## Install

Add a line like this to your package's pubspec.yaml (and run dart pub get):

```yaml
dependencies:
  flutterx_reflection: ^1.0.2-dev
dev_dependencies:
  build_runner: ^2.0.4
  build_verify: ^2.0.0
  flutterx_reflection_codegen: ^1.0.2-dev
```

Create a file like this named build.yaml
```yaml
targets:
  $default:
    builders:
      flutterx_reflection_codegen|framework_generator:
        generate_for:
          - lib/framework/flutter_sdk.dart
```

## Import

Import the library like this:

```dart
import 'package:flutterx_reflection/flutterx_reflection.dart';
```

## Usage

Check the documentation in the desired source file of this library