part of 'wrappers.dart';

class VoidElementWrapper implements TypeDefiningElement {
  static final VoidElementWrapper instance = VoidElementWrapper();

  @override
  String get name => 'void';

  @override
  bool get isPublic => true;

  @override
  bool get isPrivate => false;

  @override
  bool get hasDeprecated => false;

  @override
  LibraryElement get library => const _NoLib();

  @override
  dynamic noSuchMethod(Invocation invocation) => super.noSuchMethod(invocation);
}
