# flutterx_reflection_codegen

Generate code to integrate flutterx_reflection.

## Usage

```flutter packages pub run build_runner build```

Configuration parameters:

```dart
const configuration = {
  'defaultValues': { // Override default value of generated constructor parameter
    'package:flutter/src/cupertino/route.dart:CupertinoDialogRoute:transitionBuilder': buildCupertinoDialogTransitions,
  },
  'generateFieldsCascade': true, // If true includeFields will automatically include types of fields recursively except excludeFields
  'includeFields': { // Will generate fields for classes included in this set
    'package:flutter/src/material/theme_data.dart:ThemeData',
  },
  'includeFields': { // Exclude classes if generateFieldsCascade is true
    'dart:ui:Color',
  },
};
```